# -*- coding: utf-8 -*-
#    Copyright (C) 2007 Stewart Adam
#    This file is part of audio-convert-mod.

#    audio-convert-mod is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    audio-convert-mod is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with audio-convert-mod; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
All constants in the program
"""
import os
import sys
import getpass
import ConfigParser

MSWINDOWS = sys.platform.startswith("win")
if MSWINDOWS:
  UID = 1
  ROOTDRIVE = os.path.splitdrive(sys.argv[0])[0]
else:
  UID = os.getuid()
USER = getpass.getuser()

INSTALL_DIR = os.path.abspath(os.path.dirname(sys.argv[0]))
USERHOME = os.path.expanduser('~%s' % USER)
if USERHOME == '~%s' % USER: # if os doesn't support that format
  USERHOME = os.path.expanduser('~')
PREFLOC = os.path.normpath('%s/.audio-convert-mod/prefs.conf' % USERHOME)

def _readPrefs():
  prefs = ConfigParser.ConfigParser()
  fh = open(PREFLOC,'r')
  prefs.readfp(fh)
  fh.close()
  return prefs

def _writePrefs(config):
  fh = open(PREFLOC,'w')
  config.write(fh)
  fh.close()

def ConvertPath(path):
  """ Makes a path portable. """
  if MSWINDOWS and path[1:3] != ':\\':
    path = '%s\\%s' % (ROOTDRIVE, path)
  return os.path.normpath(path)

